•   
  • 1
  • 77
  • 78
  • 79(current)
  • 80
  • 81
  • 100
  •   
XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)
X3lectric Wrote:try dpkg-reconfigure -a

you should always do apt-get update, before starting updating stuff and after adding new ppa's

you may want to delete /usr/lib/libvdpau.so.1 if that fails and do it again.

Yes update was run straight after adding or changing ppa's, always good advice.

I had deleted /usr/lib/libvdpau.so.1 to force it but it still failed. I will try the dpkg-reconfigure -a as this i have not done...
Reply
Tried installing after dpkg-reconfigure and still fails. it looks like the nvidia vdpau ppa is missing the correct package for jaunty as it downloads the ~karmic~ package (unless it works for both) and apt-get update has also been run...

Im thinking its time to put jaunty out to pasture and move on....

Code:
[email protected]:~/zzz/xbmc/xbmc$ sudo make uninstall
Removing XBMC...
Done!
[email protected]:~/zzz/xbmc/xbmc$ sudo apt-get install xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
xbmc is already the newest version.
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  xbmc-bin: Depends: libvdpau1 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
[email protected]:~/zzz/xbmc/xbmc$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  whois
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libvdpau1
Suggested packages:
  nvidia-vdpau-driver vdpau-driver
The following NEW packages will be installed:
  libvdpau1
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
7 not fully installed or removed.
Need to get 0B/24.9kB of archives.
After this operation, 127kB of additional disk space will be used.
Do you want to continue [Y/n]?
(Reading database ... 161967 files and directories currently installed.)
Unpacking libvdpau1 (from .../libvdpau1_0.4-2~karmic~nvidiavdpauppa4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libvdpau1_0.4-2~karmic~nvidiavdpauppa4_i386.deb (--unpack):
trying to overwrite `/usr/lib/libvdpau.so.1', which is also in package nvidia-190-libvdpau
Errors were encountered while processing:
/var/cache/apt/archives/libvdpau1_0.4-2~karmic~nvidiavdpauppa4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Got feed up with the ppa so downloaded the svn source and compiled it. good news is it has solved my AAC transcoding on the fly issue so happy days..
Reply
First you have to install libvdpau1 not xbmc and its dpkg-reconfigure -a, seems like you have no idea what you were doing... Sorry I cant give you the correct order in which to perform the commands and which to perform, since they should be pretty obvious.

Since compiling only compiles/installs system folder and xbmc-bin Im not surprised it works yet you still have broken dpkg , which may cause other problems in future.
Reply
X3lectric Wrote:First you have to install libvdpau1 not xbmc

Really? I would never have figured that out, thank you so much for pointing it out...

If you took the time to view the post you would see that it im trying to install libvdpau1 and failing

The following NEW packages will be installed:
libvdpau1
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded

If your not going to be helpful find somewhere else to take your frustrations out... the xbmc community doesn’t need you belittling anyone that posts a question looking for help.

Play nice, it doesnt cost you anything...
Reply
@ redstorm

Right, leeme explain something to you, you don't have vdpau installed, as such it doesn't matter if xbmc is installed or not, which means your gpu accelerated content wont play via vdpau. Lord knows how bad this problem will be.

You HAVE to fix dpkg, and install vdpau at all costs, otherwise it doesn't matter if you found a way around installing xbmc...

the only way your going to fix it is by following advice others like me, post here for free, and I don't see anyone else taking the time. Perhaps I should have just ignored you like they did.

Thx for restoring my faith in human kind, though. One tries to help and gets a boot up the backside...

While I was only trying to get you to see where your failed, I will just shut up, since obviously your too sensitive to be told the truth.

btw, good luck with that, I wont bother anymore.
Reply
both the XBMC stable and the SVN ppa are missing the libvdpau lucid package at the moment and I have no idea if this is on purpose but this ppa should work just fine https://launchpad.net/~nvidia-vdpau/+archive/ppa

at the moment you have 2 ppas in your sources list, both providing libvdpau, and it seems that aptitude only wants to get libvdpau from the xbmc ppa. to fix this, it might be worth a try to purge all the xbmc ppas completely and remove them from sources list, then install the nvidia driver and vdpau stuff from the nvidia ppa, and afterwards do a fresh reinstall of xbmc from SVN ppa. at least that's my logical answer to this mess, but as I am no linux guru, you might also have a closer, more submissive look at what x3l wrote. at least he really tried to help.

and now please guys, calm down a little. we'll fix this together.
OpenElec Standalone --> Asus Chromebox 'Panther' --> Onkyo TX-NR709 --> Sony 55" X85C Android TV (also with Kodi!)
Asus Chromebox EZ Script
Kodi on Sony Bravia Android TVs
Reply
@ hannes

read this http://forum.xbmc.org/showpost.php?p=639...count=1165
Reply
what version kernel is packaged with the Live Beta 4 release ?
ASRock 330HT, XBMC Eden

Image
Reply
There is no version packaged, the installer installs whatever is mainstream.

As I write this I noticed you have dharma 4 installed, so idk why your asking since on xbmc system info you get the information your asking... and only today there's an update released.
Reply
The solution for anyone else that gets caught in this situation.

Code:
sudo apt-get --force-yes remove nvidia-190-libvdpau
sudo apt-get install libvdpau1
Which satisfies the dependency for xbmc

Because i had installed the Nvidia drivers using NVIDIA-Linux-x86-260.19.12.run VDPAU was still working for all content hence why compiling and installing was working for me. Just installing from the svn ppa wasnt working, but is now...

Thanks for the help. all good now.
Reply
I had to do the following to get xbmc installed (after apt-get failed because of the overwrite problem):

Code:
sudo dpkg -i --force-overwrite /var/cache/apt/archives/libvdpau1_0.3-2build1~_i386.deb

sudo apt-get -f install

If it's OK to completely remove the nvidia libvdpau package, it'd be nice if the libvdpau package made it clear to apt that it's a valid substitute (e.g. 'provides nvidia-libvdpau' or whatever the syntax is?).
Reply
I installed the ppa's on my mythbuntu 10.10 box and could not download addons.

The problem was curl was not installed, as it is required to download addons should it not be added as a dependency to the packages?

Craig
Reply
New XBMC r35326 on Launchpad published. Smile
Reply
yeah, installed it last night (x64 lucid server), looking good so far! together with the new .12 nvidia-current (also new from x-swat ppa) some vdpau-related decoding failures (picture defects mostly with 720p content) are completely gone now.
OpenElec Standalone --> Asus Chromebox 'Panther' --> Onkyo TX-NR709 --> Sony 55" X85C Android TV (also with Kodi!)
Asus Chromebox EZ Script
Kodi on Sony Bravia Android TVs
Reply
Hi new to linux so im a complete novice, i have installed 10.1 and added the repositorys
ppa:team-xbmc/ppa
"deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu maverick main"
"deb-src http://ppa.launchpad.net/team-xbmc/ppa/ubuntu maverick main"
as the guide describes, i update the library and then search for xbmc and its not there at all. The nvidia VDPAU software worked fine. Done via gui and terminal to no avail

Am i missing something, would appreciate any help.

Craig
Reply
  •   
  • 1
  • 77
  • 78
  • 79(current)
  • 80
  • 81
  • 100
  •   



Logout Mark Read Team Forum Stats Members Help
XBMC Ubuntu PPAs (precompiled PPA builds for Ubuntu)12
This forum uses Lukasz Tkacz MyBB addons.